﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace SAIB_Web_Api.DataManager
{
    struct Procedure
    {
        public static string spIdentity_Details = "spIdentity_Details";
        public static string sp_UpdateUser = "sp_UpdateUser";
        public static string spCreditLimitValidation = "spCreditLimitValidation";
        public static string sp_View_TransactionCancellation_GetDetails = "sp_View_TransactionCancellation_GetDetails";
        public static string sp_vw_SRSendingExchangeMargin_SCountryList = "sp_vw_SRSendingExchangeMargin_SCountryList";
        public static string sp_vw_SR_Exchange_Margin_SCountryList = "sp_vw_SR_Exchange_Margin_SCountryList";
        public static string sp_vw_SR_Exchange_Margin_RCountryList = "sp_vw_SR_Exchange_Margin_RCountryList";
        public static string sp_GetMarginType = "sp_GetMarginType";
        public static string sp_vw_CommMarginType = "sp_vw_CommMarginType";
        public static string vw_SendingAgentMargin_Edit = "sp_vw_SendingAgentMargin_Edit";
        public static string spCheckRotator = "spCheckRotator";
        public static string vw_DestinationBranch_EditMode_ForGCC = "sp_vw_DestinationBranch_EditMode_ForGCC";
        public static string vw_DestinationCity_EditMode_ForGCC = "sp_vw_DestinationCity_EditMode_ForGCC";//"vw_ListCIty_MOPWise";
        public static string LoginAttemptLog = "sp_LoginAttemptLog";
        public static string sp_CommissionType = "sp_CommissionType";
        public static string sp_ModeOfPayment_ForPayOut = "sp_ModeOfPayment_ForPayOut";
        public static string sp_ModeOfPayment = "sp_ModeOfPayment";
        public static string sp_CopyBankInfo = "sp_CopyBankInfo";
        public static string sp_SetDefault_PayementMode = "sp_SetDefault_PayementMode";
        public static string sp_SetDefault_PurposeOfTransfer = "sp_SetDefault_PurposeOfTransfer";
        public static string sp_ApproveTransactionStatus = "sp_ApproveTransactionStatus";
        public static string View_EditTransactionBySupervisor = "sp_View_EditTransactionBySupervisor";
        public static string spGenerateRandomNo = "spGenerateRandomNo";
        public static string spCancelTransaction = "spCancelTransaction_New";
        public static string spPaidTransaction = "spPaidTransaction_New";
        public static string spPaidTransaction_NewIntegration = "spPaidTransaction_NewIntegration";
        public static string spRemoveTransaction = "spRemoveTransaction";
        public static string View_RemovePayment = "sp_View_RemovePayment";
        public static string sp_CrossCheck_PayAmount = "sp_CrossCheck_PayAmount";
        public static string spCancelPaidTransaction = "spCancelPaidTransaction_New";
        public static string sp_CrossCheck_GCC_Country = "sp_CrossCheck_GCC_Country";
        public static string sp_CrossCheck_CancelPaid_Status = "sp_CrossCheck_CancelPaid_Status";
        public static string sp_CrossCheck_Remove_Status = "sp_CrossCheck_Remove_Status";
        public static string sp_CrossCheck_ManualRandomNo = "sp_CrossCheck_ManualRandomNo";
        public static string sp_CrossCheck_Cancel_Status = "sp_CrossCheck_Cancel_Status";
        public static string sp_CrossCheck_Paid_Status = "sp_CrossCheck_Paid_Status";
        public static string sp_CrossCheck_PaidIntegration_Status = "sp_CrossCheck_PaidIntegration_Status";
        public static string sp_CrossCheck_PushToSr1_Status = "sp_CrossCheck_PushToSr1_Status";
        public static string sp_CrossCheck_Edit_Status = "sp_CrossCheck_Edit_Status";
        public static string sp_CrossCheck_CancelRequest_Status = "sp_CrossCheck_CancelRequest_Status";
        public static string sp_CrossCheck_CashTransaction = "sp_CrossCheck_CashTransaction";
        public static string sp_CheckCountry_ForMatrimony = "sp_CheckCountry_ForMatrimony";
        public static string sp_vw_DestinationCountry = "sp_vw_DestinationCountry";
        public static string sp_vw_DestinationMode = "sp_vw_DestinationMode";
        public static string sp_vw_DestinationMode_ForUK = "sp_vw_DestinationMode_ForUK";
        public static string sp_View_CancelRequest_Status = "sp_View_CancelRequest_Status";
        public static string sp_vw_DestinationAgentCity = "sp_vw_DestinationAgentCity";
        public static string sp_SearchBankCode = "sp_SearchBankCode";
        public static string sp_JV_Details_New = "sp_JV_Details_New";
        public static string sp_PadalaRemmiter_Details = "sp_PadalaRemmiter_Details";
        public static string sp_PadalaBenficiary_Details = "sp_PadalaBenficiary_Details";
        public static string sp_NewAlerts = "sp_NewAlerts";
        public static string sp_NewProducts = "sp_NewProducts";
        public static string sp_DocDetails = "sp_DocDetails";
        public static string sp_vw_DestinationCurrency = "sp_vw_DestinationCurrency";
        public static string sp_vw_CalculatedMargin = "sp_vw_CalculatedMargin";
        public static string sp_IntegrationChangePasswordLog = "sp_IntegrationChangePasswordLog";
        public static string Blacklist_Master_Details = "sp_Blacklist_Master_Details";//"tbl_04_12_Blacklist_Master_Details";
        public static string City = "sp_City";//"tbl_01_10_City_Details";
        public static string Location = "sp_Location";//"tbl_01_11_Location_Details";
        public static string Currency = "sp_Currency";//"tbl_04_13_Currency";
        public static string Country = "sp_Country";//"tbl_04_08_Country_Details";
        public static string ModeOfPayment = "sp_ModeOfPayment";//"tbl_Mode_Of_Payment_Master";
        public static string PurposeOfTransfer = "sp_PurposeOfTransfer";//"tbl_PurposeOfTransfer";
        public static string Nationality = "sp_Nationality";//tbl_08_01_ListofNationality";
        public static string tbl_Countrywise_ModeOfPayment = "sp_CountryWiseModeOfPayment";//"tbl_Countrywise_ModeOfPayment";
        public static string PermissionType = "sp_PermissionType";//"tbl_PermissionType";
        public static string Countrywise_PermissionList = "sp_CountrywisePermission";//"tbl_Countrywise_PermissionList";
        public static string CountrywisePermission_List = "sp_CountrywisePermission_List";
        public static string tbl_CommissionSlabMaster = "sp_tbl_CommissionSlabMaster";//"tbl_CommissionSlabMaster";
        public static string RemitterDetails = "sp_Remmiter_Details";//"tbl_04_01_Remmiter_Details";
        public static string GenerateCustomer_ID = "sp_GenerateCustomer_ID";//"tbl_04_01_Remmiter_Details";
        public static string sp_PadalaGenerateCustomer_ID = "sp_PadalaGenerateCustomer_ID";
        public static string BenficiaryDetails = "sp_Benficiary_Details";//"tbl_04_03_Benficiary_Details";
        public static string GenerateBeneficiary_ID = "sp_GenerateBenef_ID";//"tbl_04_01_Remmiter_Details";
        public static string sp_PadalaGenerateBenef_ID = "sp_PadalaGenerateBenef_ID";
        public static string Bank_CurrencyExchangeRate = "sp_Bank_CurrencyExchangeRate";//"tbl_Bank_CurrencyExchangeRate";
        public static string CurrecnyUSDWiseExchangeRate = "sp_CurrecnyUSDWiseExchangeRate";//"tbl_CurrecnyUSDWiseExchangeRate";
        public static string TrMaster = "sp_TrMaster";//"tbl_05_01_TrMaster";
        public static string TrDetails = "sp_Tr_Details";//"tbl_05_02_TrDetails";
        public static string AgentDetailsTable = "sp_AgentDetails";//"tbl_Agent_Details";
        public static string vw_AgentDetailsTable = "sp_vw_AgentDetailsTable";//"AgentDetailsTable";
        public static string SendingAgent_CurrencyExchangeRate = "sp_SendingAgent_CurrencyExchangeRate";//"tbl_SendingAgent_CurrencyExchangeRate";
        public static string PadalaCardList = "sp_PadalaCardList";//"tbl_PadalaCardList";
        public static string KroresCardList = "sp_KroresCardList";//"tbl_KroresCardList";
        public static string BankAgentWise_CurrencyExchangeRate = "sp_BankAgentWise_CurrencyExchangeRate";//"tbl_BankAgentWise_CurrencyExchangeRate";
        public static string BankSendingCountry_CurrencyExchangeRate = "sp_BankSendingCountry_CurrencyExchangeRate";//"tbl_BankSendingCountry_CurrencyExchangeRate";
        public static string vw_SenderOutboundThresholdPerMonthTransaction = "sp_vw_SenderOutboundThresholdPerMonthTransaction";//"vw_SenderOutboundThresholdPerMonthTransaction";
        public static string vw_ReceiverOutboundThresholdPerMonthTransaction = "sp_vw_ReceiverOutboundThresholdPerMonthTransaction";//"vw_ReceiverOutboundThresholdPerMonthTransaction";
        public static string vw_ReceiverOutboundThresholdPerDayTransaction = "sp_vw_ReceiverOutboundThresholdPerDayTransaction";//"vw_ReceiverOutboundThresholdPerDayTransaction";
        public static string vw_SenderOutboundThresholdPerDayTransaction = "sp_vw_SenderOutboundThresholdPerDayTransaction";//"_vw_SenderOutboundThresholdPerDayTransaction";
        public static string vw_PurposeOfTransfer = "sp_PurposeOfTransfer";//"vw_PurposeOfTransfer";
        public static string vw_DailyRates = "sp_DailyRates";//"vw_DailyRates";
        public static string vw_CountrwisePermissionList = "sp_vw_CountrwisePermissionList";//"vw_CountrwisePermissionList";
        public static string vw_AgentWise_CommissionSlab = "sp_vw_AgentWise_CommissionSlab";//"vw_AgentWise_CommissionSlab";
        public static string vw_CommissionSlab = "sp_vw_CommissionSlab";//"vw_AgentWise_CommissionSlab";
        public static string vw_ListCountry = "sp_Country";//"vw_ListCountry";
        public static string vw_Countrywise_Currency = "sp_vw_Countrywise_Currency";//"vw_Countrywise_Currency";
        public static string sp_Agentwise_Currency = "sp_Agentwise_Currency";
        public static string vw_Agentwise_CurrencyDetails = "sp_Agentwise_CurrencyDetails";//"vw_Agentwise_CurrencyDetails";
        public static string vw_RemitterDetails = "sp_vw_RemitterDetails";//"vw_RemitterDetails";
        public static string vw_PreviousTransactionsAppID = "sp_vw_PreviousTransactionsAppID";//"vw_PreviousTransactionsAppID";
        public static string vw_ListSendCountry = "sp_ListSendCountry";//"vw_ListSendCountry";
        public static string vw_ListReceiveCountry = "sp_ListReceiveCountry";//"vw_ListReceiveCountry";
        public static string vw_AgentPercentageWise_CommissionSlab = "sp_vw_AgentPercentageWise_CommissionSlab";//"vw_AgentPercentageWise_CommissionSlab";
        public static string vw_Level3AccountDetails = "sp_vw_Level3AccountDetails";//"vw_Level3AccountDetails";
        public static string View_CountryValidationPermissions = "sp_View_CountryValidationPermissions";//"View_CountryValidationPermissions";
        public static string vw_BeneficiaryDetails = "sp_vw_BeneficiaryDetails";//"vw_BeneficiaryDetails";
        public static string vw_Permission_ModeOfPayment_For_Padala = "sp_vw_Permission_ModeOfPayment_For_Padala";//"vw_Permission_ModeOfPayment_For_Padala";
        public static string vw_Permission_ModeOfPayment_For_Krores = "sp_vw_Permission_ModeOfPayment_For_Krores";//"vw_Permission_ModeOfPayment_For_Krores";
        public static string vw_Permission_ModeOfPayment_For_Normal = "sp_vw_Permission_ModeOfPayment_For_Normal";//"vw_Permission_ModeOfPayment_For_Normal";
        public static string vw_Permission_ModeOfPayment_For_Padala_Mode = "sp_vw_Permission_ModeOfPayment_For_Padala_Mode";
        public static string vw_Permission_ModeOfPayment_For_Krores_Mode = "sp_vw_Permission_ModeOfPayment_For_Krores_Mode";
        public static string vw_Permission_ModeOfPayment_For_Normal_Mode = "sp_vw_Permission_ModeOfPayment_For_Normal_Mode";
        public static string vw_UserRights = "sp_vw_UserRights";//"vw_UserRights";
        public static string vw_AgentBranchList_MOPwise = "sp_vw_AgentBranchList_MOPwise";//"vw_AgentBranchList_MOPwise";
        public static string vw_ListCIty_MOPWise = "sp_vw_DestinationCity";//"vw_ListCIty_MOPWise";
        public static string sp_vw_DestinationCity_ForUK = "sp_vw_DestinationCity_ForUK";
        public static string vw_DestinationLocation = "sp_vw_DestinationLocation";//"vw_ListCIty_MOPWise";
        public static string vw_RecommendedAgent = "sp_vw_RecommendedAgent";//"vw_ListCIty_MOPWise";
        public static string vw_Filter_CountrywisePermission = "sp_Filter_CountrywisePermission";//"vw_Filter_CountrywisePermission";
        public static string vw_Filter_TargetCountrywisePermission = "sp_Filter_TargetCountrywisePermission";
        public static string vw_Filter_CityDetails = "sp_Filter_CityDetails";//"vw_Filter_CityDetails";
        public static string vw_Filter_LocationDetails = "sp_Filter_LocationDetails";//"vw_Filter_LocationDetails";
        public static string View_Country = "View_Country";
        public static string View_PurposeOfTransfer = "sp_PurposeOfTransfer";//"View_PurposeOfTransfer";
        public static string View_Countrywise_ModeOfPayment = "sp_View_Countrywise_ModeOfPayment";
        public static string View_CityDetails = "sp_City";//"View_CityDetails";
        public static string View_LocationDetails = "sp_Location";//"View_LocationDetails";
        public static string View_SettlementCurrencyWiseExchangeRate = "sp_View_SettlementCurrencyWiseExchangeRate";//"View_SettlementCurrencyWiseExchangeRate";
        public static string View_SenderAvailableCreditLimit = "sp_View_SenderAvailableCreditLimit";//"View_SenderAvailableCreditLimit";
        public static string sp_View_CreditLimit_ByMode = "sp_View_CreditLimit_ByMode";//"View_SenderAvailableCreditLimit";
        public static string sp_View_SendSubAgentAvailableCreditLimit = "sp_View_SendSubAgentAvailableCreditLimit";
        public static string vw_Filter_Countrywise_ModeOfPayment = "sp_Filter_Countrywise_ModeOfPayment";//"vw_Filter_Countrywise_ModeOfPayment";
        public static string vw_Level3AccountDetails_SendingAgent = "sp_vw_Level3AccountDetails_SendingAgent";//"vw_Level3AccountDetails_SendingAgent";
        public static string vw_AgentBankList_ForBankTransfer = "sp_vw_AgentBankList_ForBankTransfer";//"vw_AgentBankList_ForBankTransfer";
        public static string vw_TransactionTargetCountryAgentList = "sp_vw_TransactionTargetCountryAgentList";//"vw_TransactionTargetCountryAgentList";
        public static string vw_AgentList = "sp_vw_AgentList";//"vw_AgentList";
        public static string vw_AgentBranchList = "sp_vw_AgentBranchList";//"vw_AgentBranchList";
        public static string View_EditTransaction = "sp_View_EditTransaction";//"View_EditTransaction";
        public static string View_EditCTATransaction = "sp_View_EditCTATransaction";//"View_EditTransaction";
        public static string View_ReceiveTransaction = "sp_View_ReceiveTransaction";//"View_ReceiveTransaction";
        public static string View_ReceiveTransaction_ForBank = "sp_View_ReceiveTransaction_ForBank";//"View_ReceiveTransaction";
        public static string View_ReceiveTransaction_ForCash = "sp_View_ReceiveTransaction_ForCash";//"View_ReceiveTransaction";
        public static string View_ViewTransactionStatus = "sp_View_ViewTransactionStatus";//"View_ViewTransactionStatus";
        public static string View_ViewPendingApproval = "sp_View_ViewPendingApproval";//"View_ViewTransactionStatus";
        public static string View_ViewTransaction = "sp_View_ViewTransaction";//"View_ViewTransaction";
        public static string View_SearchTransaction = "sp_View_SearchTransaction";//"View_SearchTransaction";
        public static string View_SentTransaction = "sp_View_SentTransaction";//"View_SentTransaction";
        public static string vw_ReceiveCountryPermissionList = "sp_vw_SendReceiveCountryPermissionList";//"vw_ReceiveCountryPermissionList";
        public static string vw_SendCountryPermissionList = "sp_vw_SendReceiveCountryPermissionList";//"vw_SendCountryPermissionList";
        public static string vw_TargetCountryAgentList = "sp_vw_SendReceiveCountryAgentList";//"vw_TargetCountryAgentList";
        public static string vw_SourceCountryAgentList = "sp_vw_SendReceiveCountryAgentList";//"vw_SourceCountryAgentList";
        public static string vw_SendAgent_ModeofpaymentList = "sp_vw_SendReceiveCountryAgentList";//"vw_SendAgent_ModeofpaymentList";
        public static string vw_ListSearchSendCountry = "sp_vw_ListSearchSendReceiveCountry";//"vw_ListSearchSendCountry";
        public static string vw_ListSearchReceiveCountry = "sp_vw_ListSearchSendReceiveCountry";//"vw_ListSearchReceiveCountry";
        public static string View_DailyRatesReceivingAgentWise = "sp_View_DailyRatesReceivingAgentWise";//"View_DailyRatesReceivingAgentWise";
        public static string vw_TrMaster = "sp_vw_TrMaster";//"vw_TrMaster";
        public static string vw_TrMaster_ForPaid = "sp_vw_TrMaster_ForPaid";
        public static string vw_TrMaster_ForCancel = "sp_vw_TrMaster_ForCancel";
        public static string View_CurrencyUSDWiseExchangeRate = "sp_View_CurrencyUSDWiseExchangeRate"; //View_CurrencyUSDWiseExchangeRate
        public static string vw_BankCurrencyExchangeRate_RCountryList = "sp_vw_BankCurrencyExchangeRate_RCountryList"; //vw_BankCurrencyExchangeRate_RCountryList
        public static string vw_BankCurrencyExchangeRate_RAgentList = "sp_vw_BankCurrencyExchangeRate_RAgentList"; //vw_BankCurrencyExchangeRate_RAgentList
        public static string vw_View_BankSendingCountry_CurrencyExchangeRate_SCountryList = "sp_vw_View_BankSendingCountry_CurrencyExchangeRate_SCountryList"; //vw_View_BankSendingCountry_CurrencyExchangeRate_SCountryList
        public static string vw_View_BankSendingCountry_CurrencyExchangeRate_RCountryList = "sp_vw_View_BankSendingCountry_CurrencyExchangeRate_RCountryList"; //vw_View_BankSendingCountry_CurrencyExchangeRate_RCountryList
        public static string vw_View_BankSendingCountry_CurrencyExchangeRate_RAgent = "sp_vw_View_BankSendingCountry_CurrencyExchangeRate_RAgent"; //vw_View_BankSendingCountry_CurrencyExchangeRate_RAgent
        public static string vw_BankAgentWise_CurrencyExchangeRate_SCountryList = "sp_vw_BankAgentWise_CurrencyExchangeRate_SCountryList";//vw_BankAgentWise_CurrencyExchangeRate_SCountryList
        public static string vw_BankAgentWise_CurrencyExchangeRate_RCountryList = "sp_vw_BankAgentWise_CurrencyExchangeRate_RCountryList"; //vw_BankAgentWise_CurrencyExchangeRate_RCountryList
        public static string vw_BankAgentWise_CurrencyExchangeRate_SAgentList = "sp_vw_BankAgentWise_CurrencyExchangeRate_SAgentList"; //vw_BankAgentWise_CurrencyExchangeRate_SAgentList
        public static string vw_BankAgentWise_CurrencyExchangeRate_RAgentList = "sp_vw_BankAgentWise_CurrencyExchangeRate_RAgentList"; //vw_BankAgentWise_CurrencyExchangeRate_RAgentList
        public static string View_BankCurrencyExchangeRate = "sp_View_BankCurrencyExchangeRate"; //View_BankCurrencyExchangeRate
        public static string View_BankSendingCountry_CurrencyExchangeRate = "sp_View_BankSendingCountry_CurrencyExchangeRate"; //sp_View_BankSendingCountry_CurrencyExchangeRate
        public static string View_BankAgentWise_CurrencyExchangeRate = "sp_View_BankAgentWise_CurrencyExchangeRate"; //sp_View_BankAgentWise_CurrencyExchangeRate
        public static string View_SendingAgentCurrencyExchangeRate = "sp_View_SendingAgentCurrencyExchangeRate";//"View_SendingAgentCurrencyExchangeRate";
        public static string View_CommissionSlab = "sp_View_CommissionSlab";//"View_CommissionSlab";
        public static string View_AgentWise_CommissionSlab = "sp_View_AgentWise_CommissionSlab";//"View_AgentWise_CommissionSlab";
        public static string vw_Filter_AgentWise_CommissionSlab = "sp_vw_Filter_AgentWise_CommissionSlab";//"vw_Filter_AgentWise_CommissionSlab";
        public static string sp_vw_Filter_AgentWise_CommissionSlab_ForRece = "sp_vw_Filter_AgentWise_CommissionSlab_ForRece";
        public static string vw_Filter_AgentWise_CommissionSlab_Agent = "sp_vw_Filter_AgentWise_CommissionSlab_Agent";//"vw_Filter_AgentWise_CommissionSlab_Agent";
        public static string sp_vw_Filter_AgentWise_CommissionSlab_Agent_ForRece = "sp_vw_Filter_AgentWise_CommissionSlab_Agent_ForRece";
        public static string View_PercentageWise_CommissionSlabMaster = "sp_View_PercentageWise_CommissionSlabMaster";//"View_PercentageWise_CommissionSlabMaster";
        public static string View_SendingAgentPercentageWise_CommissionSlabMaster = "sp_View_SendingAgentPercentageWise_CommissionSlabMaster";//"View_PercentageWise_CommissionSlabMaster";
        public static string View_ReceivingAgentPercentagWise_CommissionSlab = "sp_View_ReceivingAgentPercentagWise_CommissionSlab";//"View_PercentageWise_CommissionSlabMaster";
        public static string vw_Filter_PercentageWise_CommissionSlabMaster = "sp_vw_Filter_PercentageWise_CommissionSlabMaster";//"vw_Filter_PercentageWise_CommissionSlabMaster";
        public static string vw_Filter_SendingAgentPercentageWise_CommissionSlabMaster = "sp_vw_Filter_SendingAgentPercentageWise_CommissionSlabMaster";//"vw_Filter_PercentageWise_CommissionSlabMaster";
        public static string vw_Filter_ReceivingAgentPercentagWise_CommissionSlab = "sp_vw_Filter_ReceivingAgentPercentagWise_CommissionSlab";//"vw_Filter_PercentageWise_CommissionSlabMaster";
        public static string vw_Filter_SendingAgentCurrencyExchangeRate = "sp_vw_Filter_SendingAgentCurrencyExchangeRate";//"vw_Filter_SendingAgentCurrencyExchangeRate";
        public static string vw_Filter_SendingAgentCurrencyExchangeRate_Agent = "sp_vw_Filter_SendingAgentCurrencyExchangeRate_Agent";//"vw_Filter_SendingAgentCurrencyExchangeRate_Agent";
        public static string View_Agent_RateMargin_Variance = "sp_View_Agent_RateMargin_Variance";//"View_Agent_RateMargin_Variance";
        public static string vw_ListSendingCountry = "sp_vw_ListSendingCountry";//"vw_ListSendingCountry";
        public static string vw_ListReceivingCountry = "sp_vw_ListReceivingCountry";//"vw_ListReceivingCountry";
        public static string vw_AgentSettlementCurrency = "sp_vw_AgentSettlementCurrency";//"vw_AgentSettlementCurrency";
        public static string vw_SendingAgentRate_AgentList = "sp_vw_SendingAgentRate_AgentList";//"vw_SendingAgentRate_AgentList";
        public static string vw_ReceivingAgentRate_AgentList = "sp_vw_ReceivingAgentRate_AgentList";//"vw_ReceivingAgentRate_AgentList";
        public static string Agent_RateMargin_Variance = "sp_Agent_RateMargin_Variance";//"tbl_Agent_RateMargin_Variance";
        public static string vw_AgentwiseTargetCountry = "sp_vw_AgentwiseTargetCountry";//"vw_AgentwiseTargetCountry";
        public static string vw_AgentCountrywise_Currency = "sp_vw_AgentCountrywise_Currency";//"vw_AgentCountrywise_Currency";
        public static string vw_Permission_ModeOfPayment = "sp_vw_Permission_ModeOfPayment";//"vw_Permission_ModeOfPayment";
        public static string vw_CountryPermissionList_MOP = "sp_vw_CountrwisePermissionList_MOP";
        public static string vw_CountryPermissionList = "sp_vw_CountryPermissionList";//"vw_CountryPermissionList";
        public static string tbl_AgentWise_CommissionSlabMaster = "sp_AgentWise_CommissionSlabMaster";//"tbl_AgentWise_CommissionSlabMaster";
        public static string vw_AgentModeOfPayment = "sp_vw_AgentModeOfPayment";//"vw_AgentModeOfPayment";
        public static string vw_Filter_CommissionSlab = "sp_vw_Filter_CommissionSlab";//"vw_Filter_CommissionSlab";
        public static string vw_Filter_CommissionSlab_ReceCountry = "sp_vw_Filter_CommissionSlab_ReceCountry";//"vw_Filter_CommissionSlab_ReceCountry";
        public static string vw_SendingAgentSendingCurrency = "sp_vw_SendingAgentSendingCurrency";//"vw_SendingAgentSendingCurrency";
        public static string vw_SendingAgentReceiveCurrency = "sp_vw_SendingAgentReceiveCurrency";//"vw_SendingAgentReceiveCurrency";
        public static string vw_AgentType = "sp_vw_AgentType";//"vw_AgentType";
        public static string tbl_PercentageWise_CommissionSlabMaster = "sp_PercentageWise_CommissionSlabMaster";//"tbl_PercentageWise_CommissionSlabMaster";
        public static string tbl_SendingAgentPercentagWise_CommissionSlab = "sp_SendingAgentPercentagWise_CommissionSlab";//"tbl_PercentageWise_CommissionSlabMaster";
        public static string tbl_ReceivingAgentPercentagWise_CommissionSlab = "sp_ReceivingAgentPercentagWise_CommissionSlab";//"tbl_PercentageWise_CommissionSlabMaster";
        public static string vw_PercentageWise_CommissionSlabMaster = "sp_vw_PercentageWise_CommissionSlabMaster";//"vw_PercentageWise_CommissionSlabMaster";
        public static string vw_SendingAgentPercentageWise_CommissionSlabMaster = "vw_SendingAgentPercentageWise_CommissionSlabMaster";//"vw_PercentageWise_CommissionSlabMaster";
        public static string vw_ReceivingAgentPercentagWise_CommissionSlab = "vw_ReceivingAgentPercentagWise_CommissionSlab";//"vw_PercentageWise_CommissionSlabMaster";
        public static string View_AgentDetails = "sp_View_AgentDetails";//"View_AgentDetails";
        public static string sp_ViewListofSR1Upload = "sp_ViewListofSR1Upload";//"View_AgentDetails";
        public static string vw_Filter_PartnerAgentCountry = "sp_vw_Filter_PartnerAgentCountry";//"vw_Filter_AgentDetails";
        public static string vw_Filter_AgentDetails = "sp_vw_Filter_AgentDetails";//"vw_Filter_AgentDetails";
        public static string vw_Filter_AgentDetails_Agent = "sp_vw_Filter_AgentDetails_Agent";//"vw_Filter_AgentDetails_Agent";
        public static string vw_Filter_PartnerAgent = "sp_vw_Filter_PartnerAgent";//"vw_Filter_AgentDetails_Agent";
        public static string vw_CountryInternationalTransactionList = "sp_vw_CountryInternationalTransactionList";//"vw_CountryInternationalTransactionList";
        public static string vw_CountryDomesticTransactionList = "sp_vw_CountryDomesticTransactionList";//"vw_CountryDomesticTransactionList";
        public static string vw_Countrywise_ModeOfPayment = "sp_vw_Countrywise_ModeOfPayment";//"vw_Countrywise_ModeOfPayment";
        public static string View_AgentModeOfPayment = "sp_View_AgentModeOfPayment";//"View_AgentModeOfPayment";
        public static string vw_Filter_AgentCountry = "sp_vw_Filter_AgentCountry";
        public static string vw_Filter_AgentModeOfPayment = "sp_vw_Filter_AgentModeOfPayment";//"vw_Filter_AgentModeOfPayment";
        public static string Agentwise_ModeOfPayment = "sp_Agentwise_ModeOfPayment";//"Agentwise_ModeOfPayment";
        public static string View_AgentBranchMaster = "sp_View_AgentBranchMaster";//"View_AgentBranchMaster";
        public static string vw_Filter_AgentBranchMaster = "sp_vw_Filter_AgentBranchMaster";//"vw_Filter_AgentBranchMaster";
        public static string vw_ListSendingAgent = "sp_vw_ListSendingAgent";//"vw_ListSendingAgent";
        public static string vw_ListReceivingAgent = "sp_vw_ListReceivingAgent";//"vw_ListReceivingAgent";
        public static string vw_AgentCountry = "sp_vw_AgentCountry";//"vw_AgentCountry";
        public static string vw_AgentwiseMOP = "sp_vw_AgentwiseMOP";//"vw_AgentwiseMOP";
        public static string Agent_Branch_Details = "sp_Agent_Branch_Details";//"tbl_Agent_Branch_Details";
        public static string AgentBranchwise_ModeOfPayment = "sp_AgentBranchwise_ModeOfPayment";//"AgentBranchwise_ModeOfPayment";
        public static string AgentBranchwise_CurrencyList = "sp_AgentBranchwise_CurrencyList";
        public static string View_AgentBranchDetails = "sp_View_AgentBranchDetails";//"View_AgentBranchDetails";
        public static string View_StopPayment = "sp_View_StopPayment";//"View_StopPayment";
        public static string vw_GetPreviousCommissionSlab = "sp_vw_GetPreviousCommissionSlab";
        public static string Qry_JournalVoucherCurrency = "sp_Qry_JournalVoucherCurrency";
        public static string vw_ListCountry_ForAgent = "sp_vw_ListCountry_ForAgent";
        public static string CashTransferSearch = "sp_CashTransferSearch";
        public static string vw_DestinationBranch = "sp_vw_DestinationBranch";
        public static string vw_DestinationBranch_ForUK = "sp_vw_DestinationBranch_ForUK";
        public static string vw_DestinationAgentBranch = "sp_vw_DestinationAgentBranch";

        public static string TempAgencyExchangeRate = "sp_TempAgencyExchangeRate";//"TempAgencyExchangeRate";
        public static string UpdateAgencyExchangeRate = "sp_UpdateAgencyExchangeRate";//"TempAgencyExchangeRate To tbl_CurrecnyUSDWiseExchangeRate";
        public static string TempUpdatedCurrencyUSDWiseExchangeRate = "sp_TempUpdatedCurrencyUSDWiseExchangeRate";//"tbl_CurrecnyUSDWiseExchangeRate";

        public static string View_SendingAgentCurrencyExchangeRateTest = "sp_View_SendingAgentCurrencyExchangeRateTest";//"sp_View_SendingAgentCurrencyExchangeRateTest";
        public static string TempSendingAgent_CurrencyExchangeRate = "sp_TempSendingAgent_CurrencyExchangeRate";//"tbl_SendingAgent_CurrencyExchangeRate";
        public static string UpdateSendingAgentCurrencyExchangeRate = "sp_UpdateSendingAgentCurrencyExchangeRate";//"sp_UpdateSendingAgentCurrencyExchangeRate";

        public static string TempView_BankCurrencyExchangeRate = "sp_TempView_BankCurrencyExchangeRate"; //sp_TempView_BankCurrencyExchangeRate
        public static string Temp_Bank_CurrencyExchangeRate = "sp_Temp_Bank_CurrencyExchangeRate"; //sp_Temp_Bank_CurrencyExchangeRate
        public static string UpdateBank_CurrencyExchangeRate = "sp_UpdateBank_CurrencyExchangeRate"; //sp_Temp_Bank_CurrencyExchangeRate

        public static string TempView_BankSendingCountry_CurrencyExchangeRate = "sp_TempView_BankSendingCountry_CurrencyExchangeRate"; //sp_View_BankSendingCountry_CurrencyExchangeRate
        public static string Temp_BankSendingCountry_CurrencyExchangeRate = "sp_Temp_BankSendingCountry_CurrencyExchangeRate"; //sp_View_BankSendingCountry_CurrencyExchangeRate
        public static string Update_BankSendingCountry_CurrencyExchangeRate = "sp_UpdateBankSendingCountry_CurrencyExchangeRate"; //sp_View_BankSendingCountry_CurrencyExchangeRate

        public static string TempView_BankAgentWise_CurrencyExchangeRate = "sp_TempView_BankAgentWise_CurrencyExchangeRate"; //sp_View_BankAgentWise_CurrencyExchangeRate
        public static string ForUserManagement_CountrySpecificUser = "ForUserManagement_CountrySpecificUser"; //sp_View_BankAgentWise_CurrencyExchangeRate
        public static string Temp_BankAgentWise_CurrencyExchangeRate = "sp_Temp_BankAgentWise_CurrencyExchangeRate"; //sp_View_BankSendingCountry_CurrencyExchangeRate
        public static string Update_BankAgentWise_CurrencyExchangeRate = "Sp_UpdateBankAgentWise_CurrencyExchangeRate"; //sp_View_BankSendingCountry_CurrencyExchangeRate

        public static string TempView_CommissionSlab = "sp_TempView_CommissionSlab";//"sp_TempView_CommissionSlab";
        public static string TempCommissionSlab = "sp_TempCommissionSlab";//"sp_TempCommissionSlab";
        public static string Update_CommissionSlab = "sp_UpdateCommissionSlab";//"sp_UpdateCommissionSlab";

        public static string TempView_CommissionSlabCopyTo = "sp_TempView_CommissionSlabCopyTo";//"sp_TempView_CommissionSlab";

        public static string TempView_AgentWise_CommissionSlab = "sp_TempView_AgentWise_CommissionSlab";//"sp_TempView_CommissionSlab";
        public static string TempAgentWise_CommissionSlab = "sp_TempAgentWise_CommissionSlab";//"sp_TempCommissionSlab";
        public static string UpdateAgentWise_CommissionSlab = "sp_UpdateAgentWise_CommissionSlab";//"sp_UpdateCommissionSlab";
        public static string View_TrStatus = "sp_View_TrStatus";
        public static string View_ModeOfPayment = "sp_View_ModeOfPayment";
        public static string View_AgentCurrencyExchangeRate = "sp_View_AgentCurrencyExchangeRate";
        public static string View_CurrencyExchangeRate = "sp_View_CurrencyExchangeRate";
        public static string View_BankMaster = "sp_View_BankMaster";
        public static string View_SR_Exchange_Margin = "sp_View_SR_Exchange_Margin";
        public static string View_SendingAgentMargin = "sp_View_SendingAgentMargin";
        public static string vw_Filter_SendingAgentMargin = "sp_vw_Filter_SendingAgentMargin";
        public static string vw_FundingDetails_SenderAgent = "sp_vw_FundingDetails_SenderAgent";
        public static string vw_FundingDetails_ReceiverAgent = "sp_vw_FundingDetails_ReceiverAgent";
        public static string SourceOfIncome = "sp_SourceOfIncome";
        public static string UpdateStatus = "sp_UpdateStatus";
        public static string vw_ReceivingAgentPercentageWise_CommissionSlab = "sp_vw_ReceivingAgentPercentageWise_CommissionSlab";
        public static string vw_Filter_AgentBranchDetails = "sp_vw_Filter_AgentBranchDetails";
        public static string vw_Filter_AgentBranchDetails_Agent = "sp_vw_Filter_AgentBranchDetails_Agent";
        public static string sp_IntegrationData_log = "sp_IntegrationData_log";
        public static string sp_TrMaster_Temp = "sp_TrMaster_Temp";


        public static string sp_TrMaster_Temp_ForPayMate = "sp_TrMaster_Temp_ForPayMate";
        public static string spSearchTransaction = "spSearchTransaction";
        public static string sp_TrMaster_Temp_ForOfflineLari = "sp_TrMaster_Temp_ForOfflineLari";
        public static string sp_TrMaster_Temp_ForOfflineJazeera = "sp_TrMaster_Temp_ForOfflineJazeera";
        public static string sp_TrMaster_Temp_ForOfflineZamil = "sp_TrMaster_Temp_ForOfflineZamil";
        public static string sp_TrMaster_Temp_ForPayOutProcessComplete = "sp_TrMaster_Temp_ForPayOutProcessComplete";
        public static string sp_TrMaster_Temp_PaidAtSrComplete = "sp_TrMaster_Temp_PaidAtSrComplete";
        public static string sp_ShowIssue = "sp_ShowIssue";
        public static string spTransactionCancelRequest = "spTransactionCancelRequest";
        public static string spChangePasswordForWebService = "spChangePasswordForWebService";
        public static string ForOffer_Padala_CommissionDiscountAmount = "ForOffer_Padala_CommissionDiscountAmount";
        public static string spNeedInformSR1_ForPadala = "spNeedInformSR1_ForPadala";
        public static string ForExport_CheckPendingForPaidAccouningTxn = "ForExport_CheckPendingForPaidAccouningTxn";
        public static string SpeedClubCard_CommissionDiscountAmount = "SpeedClubCard_CommissionDiscountAmount";

        #region Change 20091202
        public static string vw_SourceOfIncome = "sp_vw_SourceOfIncome";
        public static string View_KroresCardList = "sp_View_KroresCardList";
        public static string View_AgentPrincipalAccount = "sp_View_AgentPrincipalAccount";
        public static string vw_Country_Mandatory_Master = "sp_vw_Country_Mandatory_Master";
        public static string vw_ModeofPayment_Mandatory_Master = "sp_vw_ModeofPayment_Mandatory_Master";
        public static string View_EditCountrywiseMandatory_Master = "sp_View_EditCountrywiseMandatory_Master";
        public static string vw_EditModeofPayment_Mandatory_Master = "sp_vw_EditModeofPayment_Mandatory_Master";
        public static string View_UserManagement = "sp_View_UserManagement";
        public static string vw_UserManagement = "sp_vw_UserManagement";
        public static string vw_Permission_ModeOfPayment_Agentwise = "sp_vw_Permission_ModeOfPayment_Agentwise";
        public static string View_PreviousTransactions = "sp_View_PreviousTransactions";
        public static string vw_MainCountry = "sp_MainCountry";
        public static string View_Exchange_Margin = "sp_View_Exchange_Margin";
        public static string View_SRSendingExchangeMargin = "sp_View_SRSendingExchangeMargin";
        public static string View_Country_RateMargin_Variance = "sp_View_Country_RateMargin_Variance";
        public static string View_CountryWise_Receiving_RateVariance = "sp_View_CountryWise_Receiving_RateVariance";
        public static string vw_CountrywiseCurrency_OutboundThresholdPerTransaction = "sp_vw_CountrywiseCurrency_OutboundThresholdPerTransaction";
        public static string View_PadalaCardList = "sp_View_PadalaCardList";
        public static string vw_BlackListMaster = "sp_vw_BlackListMaster";
        public static string vw_ExchangeBranchUserDetails = "sp_vw_ExchangeBranchUserDetails";
        public static string sp_GenerateAPPID = "sp_GenerateAPPID";
        public static string vw_05_Tr_App_LastID = "sp_vw_05_Tr_App_LastID";
        public static string vw_05_Tr_App_LastID_FA = "sp_vw_05_Tr_App_LastID_FA";
        public static string vw_05_Tr_Dispaly_LastID = "sp_vw_05_Tr_Dispaly_LastID";
        public static string vw_05_Tr_Dispaly_LastID_FA = "sp_vw_05_Tr_Dispaly_LastID_FA";
        public static string vw_AgencyBlock = "sp_vw_AgencyBlock";
        public static string vw_TrStatus_List = "sp_vw_TrStatus_List";
        public static string vw_CountrywiseRecevingCountryList = "sp_vw_CountrywiseRecevingCountryList";
        public static string vw_AgentBranchList_MOPwiseLocation = "sp_vw_AgentBranchList_MOPwiseLocation";
        public static string vw_TrTypeForTransfer = "sp_vw_TrTypeForTransfer";
        public static string vw_Send_TrType = "sp_vw_Send_TrType";
        public static string vw_Receive_TrType = "sp_vw_Receive_TrType";
        public static string vw_SendReceive_Tr_Type = "sp_vw_SendReceive_Tr_Type";
        public static string vw_TrDetails = "sp_vw_TrDetails";
        public static string vw_CurrencyWiseSendingAgentList = "sp_vw_CurrencyWiseSendingAgentList";
        public static string vw_CurrencyWiseReceivingAgentList = "sp_vw_CurrencyWiseReceivingAgentList";
        public static string vw_AgentWise_CommissionSlabReceiveAgentList = "sp_vw_AgentWise_CommissionSlabReceiveAgentList";
        public static string vw_ReceiveAgentReceiveCurrency = "sp_vw_ReceiveAgentReceiveCurrency";
        public static string vw_ReceiveAgentSendCurrency = "sp_vw_ReceiveAgentSendCurrency";
        public static string View_AgentLoginDetails = "sp_View_AgentLoginDetails";
        public static string View_StopPayment_Status = "sp_View_StopPayment_Status";
        public static string View_ModeofPaymentPermissions = "sp_View_ModeofPaymentPermissions";
        public static string View_ListOfCountryPermissions = "sp_View_ListOfCountryPermissions";
        public static string View_ListOfCountry_Mandatory = "sp_View_ListOfCountry_Mandatory";
        public static string View_GetMaxAgentBranchID = "sp_View_GetMaxAgentBranchID";
        public static string View_UserAgentList = "sp_View_UserAgentList";
        public static string View_UserAgentBranchList = "sp_View_UserAgentBranchList";
        public static string View_UserDetails = "sp_View_UserDetails";
        public static string vw_AgentBranchwise_UserList = "sp_vw_AgentBranchwise_UserList";
        public static string vw_EditTransaction_Status_For_SR = "sp_vw_EditTransaction_Status_For_SR";
        public static string vw_EditTransaction_Status_For_AgentSupervisor = "sp_vw_EditTransaction_Status_For_AgentSupervisor";
        public static string vw_EditTransaction_Status_For_Agent_User = "sp_vw_EditTransaction_Status_For_Agent_User";
        public static string vw_IsAgentList = "sp_vw_IsAgentList";
        public static string vw_ReceiveAgent_SearchTrans_StatusList = "sp_vw_ReceiveAgent_SearchTrans_StatusList";
        public static string vw_AgentCurrencyList = "sp_vw_AgentCurrencyList";
        public static string vw_AgentBranchCurrencyList = "sp_vw_AgentBranchCurrencyList";
        public static string vw_EditMOP_Mandatory_Master_UnMatch = "sp_vw_EditMOP_Mandatory_Master_UnMatch";
        public static string View_EditCountrywiseMandatory_Master_UnMatch = "sp_View_EditCountrywiseMandatory_Master_UnMatch";
        public static string vw_PadalaCardList = "sp_vw_PadalaCardList";
        public static string vw_KroresCardList = "sp_vw_KroresCardList";
        public static string View_Country_ALL_ValidationPermissionsID = "sp_View_Country_ALL_ValidationPermissionsID";
        public static string View_ModeofPayment_ALL_PermissionsID = "sp_View_ModeofPayment_ALL_PermissionsID";
        public static string vw_AgentwiseMOP_All = "sp_vw_AgentwiseMOP_All";
        public static string vw_Country_ModeOfPaymentwise_AgnetList = "sp_vw_Country_ModeOfPaymentwise_AgnetList";
        public static string vw_SubGroupFunctions = "sp_vw_SubGroupFunctions";
        public static string vw_CountrywisePermissionList_ForReceivingCountry = "sp_vw_CountrywisePermissionList_ForReceivingCountry";
        public static string vw_PreFundingAgentAccount = "sp_vw_PreFundingAgentAccount";
        public static string View_UserCountryList = "sp_View_UserCountryList";
        public static string vw_AgentBranchwiseMOP = "sp_vw_AgentBranchwiseMOP";
        public static string vw_AgentBranchwiseMOP_All = "sp_vw_AgentBranchwiseMOP_All";
        public static string vw_TransactionTargetCountryAgentList_BranchwiseMOP = "sp_vw_TransactionTargetCountryAgentList_BranchwiseMOP";
        public static string vw_Filter_Agent_RateMargin_Variance = "sp_vw_Filter_Agent_RateMargin_Variance";
        public static string vw_Filter_Agent_RateMargin_Variance_ReceCountry = "sp_vw_Filter_Agent_RateMargin_Variance_ReceCountry";
        public static string vw_MOP_List_For_SendingReceivingAgent = "sp_vw_MOP_List_For_SendingReceivingAgent";
        public static string vw_Filter_AgentBranchMasterList = "sp_vw_Filter_AgentBranchMasterList";
        public static string vw_DealVoucherCreditAccountID = "sp_vw_DealVoucherCreditAccountID";
        public static string vw_DealVoucherDebitAccountID = "sp_vw_DealVoucherDebitAccountID";
        public static string vw_Filter_LocationDetailsCountry = "sp_Filter_LocationDetailsCountry";
        public static string vw_UserBranchInfo = "sp_vw_UserBranchInfo";
        public static string vw_UserFunction = "sp_vw_UserFunction";
        public static string vw_MOP_List_For_SendingReceivingAgent_ForBankAgentExchangeRate = "sp_vw_MOP_List_For_SendingReceivingAgent_ForBankAgentExchangeRate";
        public static string vw_Permission_ModeOfPayment_ForSRExchangeMargin = "sp_vw_Permission_ModeOfPayment_ForSRExchangeMargin";
        public static string vw_Permission_ModeOfPayment_ForCommissionSlab = "sp_vw_Permission_ModeOfPayment_ForCommissionSlab";
        public static string vw_MOP_List_For_SendingReceivingAgent_ForSendingAgentPerCommission = "sp_vw_MOP_List_For_SendingReceivingAgent_ForSendingAgentPerCommission";
        public static string View_Level0ACC = "sp_View_Level0ACC";
        public static string View_Level1ACC = "sp_View_Level1ACC";
        public static string View_Level2ACC = "sp_View_Level2ACC";
        public static string View_Level3ACC = "sp_View_Level3ACC";
        public static string vw_ViewTransactionStatus_StatusList = "sp_vw_ViewTransactionStatus_StatusList";
        public static string ViewStatusLog = "sp_ViewStatusLog";
        public static string vw_ListCountry_ForAgent_ForAgentBranch = "sp_vw_ListCountry_ForAgent_ForAgentBranch";
        public static string vw_ListSendingBranchAgent = "sp_vw_ListSendingBranchAgent";
        public static string vw_ListReceivingBranchAgent = "sp_vw_ListReceivingBranchAgent";
        public static string TempView_SendingAgentPercentagWise_CommissionSlab = "sp_TempView_SendingAgentPercentagWise_CommissionSlab";
        public static string TempSendingAgentPercentagWise_CommissionSlab = "sp_TempSendingAgentPercentagWise_CommissionSlab";
        public static string UpdateSendingAgentPercentageWise_CommissionSlabMaster = "sp_UpdateSendingAgentPercentageWise_CommissionSlabMaster";
        public static string TempView_ReceivingAgentPercentagWise_CommissionSlab = "sp_TempView_ReceivingAgentPercentagWise_CommissionSlab";
        public static string Temp_ReceivingAgentPercentagWise_CommissionSlab = "sp_Temp_ReceivingAgentPercentagWise_CommissionSlab";
        public static string UpdateTemp_ReceivingAgentPercentagWise_CommissionSlab = "sp_UpdateTemp_ReceivingAgentPercentagWise_CommissionSlab";
        public static string UserAccessRights = "sp_UserAccessRights";
        public static string AgencyUserAccessRights = "sp_AgencyUserAccessRights";
        public static string sp_InboundThresholdPYPP = "sp_InboundThresholdPYPP";
        public static string vw_AgencyUserManagement = "sp_vw_AgencyUserManagement";
        public static string sp_ViewMandetory_Country = "sp_ViewMandetory_Country";
        public static string sp_ViewMandetory = "sp_ViewMandetory";
        public static string sp_CountrywiseMandatory_Master = "sp_CountrywiseMandatory_Master";
        public static string sp_IntegrationPartnerDetails = "sp_IntegrationPartnerDetails";
        public static string sp_IntegrationPartnerDetails_WithTrn = "sp_IntegrationPartnerDetails_WithTrn";
        public static string sp_IntegrationPartnerDetails_ForCancelRequest = "sp_IntegrationPartnerDetails_ForCancelRequest";
        public static string sp_FTPPartnerDetails = "sp_FTPPartnerDetails";
        public static string sp_PadalaCardOfferRegistration = "sp_PadalaCardOfferRegistration";
        public static string sp_PadalaCardOfferDetails = "sp_PadalaCardOfferDetails";
        #endregion

        //Prashant

        #region JV Transaction
        public static string sp_Qry_SelectVoucher_BP_Head_New = "sp_Qry_SelectVoucher_BP_Head_New";//sp_Qry_SelectVoucher_BP_Head_New
        public static string sp_Qry_EditVoucher_BP_Details_New = "sp_Qry_EditVoucher_BP_Details_New";//sp_Qry_EditVoucher_BP_Details_New
        public static string sp_Approved_BP_Head_New = "sp_Approved_BP_Head_New";//sp_Approved_BP_Head_New

        public static string sp_Qry_SelectVoucher_BR_Head_New = "sp_Qry_SelectVoucher_BR_Head_New";//sp_Qry_SelectVoucher_BR_Head_New
        public static string sp_Qry_EditVoucher_BR_Details_New = "sp_Qry_EditVoucher_BR_Details_New";//sp_Qry_EditVoucher_BR_Details_New
        public static string sp_Approved_BR_Head_New = "sp_Approved_BR_Head_New";//sp_Approved_BR_Head_New

        public static string sp_Qry_SelectVoucher_CR_Head_New = "sp_Qry_SelectVoucher_CR_Head_New";//sp_Qry_SelectVoucher_CR_Head_New
        public static string sp_Qry_EditVoucher_CR_Details_New = "sp_Qry_EditVoucher_CR_Details_New";//sp_Qry_EditVoucher_CR_Details_New
        public static string sp_Approved_CR_Head_New = "sp_Approved_CR_Head_New";//sp_Approved_CR_Head_New

        public static string sp_Qry_SelectVoucher_CP_Head_New = "sp_Qry_SelectVoucher_CP_Head_New";//sp_Qry_SelectVoucher_CP_Head_New
        public static string sp_Qry_EditVoucher_CP_Details_New = "sp_Qry_EditVoucher_CP_Details_New";//sp_Qry_EditVoucher_CP_Details_New
        public static string sp_Approved_CP_Head_New = "sp_Approved_CP_Head_New";//sp_Approved_CP_Head_New

        public static string sp_Qry_SelectVoucher_CE_Head_New = "sp_Qry_SelectVoucher_CE_Head_New";//sp_Qry_SelectVoucher_CE_Head_New
        public static string sp_Qry_EditVoucher_CE_Details_New = "sp_Qry_EditVoucher_CE_Details_New";//sp_Qry_EditVoucher_CE_Details_New
        public static string sp_Approved_CE_Head_New = "sp_Approved_CE_Head_New";//sp_Approved_CE_Head_New 

        public static string sp_Qry_SelectVoucher_JV_Head_New = "sp_Qry_SelectVoucher_JV_Head_New";//sp_Qry_SelectVoucher_JV_Head_New
        public static string sp_Qry_EditVoucher_JV_Details_New = "sp_Qry_EditVoucher_JV_Details_New";//sp_Qry_EditVoucher_JV_Details_New
        public static string sp_Approved_JV_Head_New = "sp_Approved_JV_Head_New";//sp_Approved_JV_Head_New 
        #endregion

        public static string sp_GetExchnageRate = "sp_GetExchnageRate";//sp_GetExchnageRate
        public static string sp_User_Branch_Details = "sp_User_Branch_Details";//sp_GetExchnageRate
        public static string sp_TempTableServiceLog = "sp_TempTableServiceLog";

        //Prashant
        #region User Rights
        public static string sp_Get_UserFunction = "sp_Get_UserFunction";
        public static string sp_Get_UserAccessRights = "sp_Get_UserAccessRights";
        public static string sp_UpdateUserSubGroup = "sp_UpdateUserSubGroup";
        public static string sp_UpdateUserAccess = "sp_UpdateUserAccess";
        public static string sp_SetUserRights = "sp_SetUserRights";
        public static string sp_SubGroupFunctions = "sp_SubGroupFunctions";
        #endregion

        //Prashant
        #region Mandatory Fields
        public static string sp_Get_CountryPermissions_Mandatory_Type = "sp_Get_CountryPermissions_Mandatory_Type";
        public static string sp_Get_PermissionType = "sp_Get_PermissionType";
        public static string sp_Get_CounrtyWiseMOP = "sp_Get_CounrtyWiseMOP";
        public static string sp_Get_Mandatory = "sp_Get_Mandatory";
        public static string sp_Add_MandatoryData = "sp_Add_MandatoryData";
        public static string sp_Set_MandatoryField = "sp_Set_MandatoryField";
        public static string sp_Set_DefaultMandatoryField = "sp_Set_DefaultMandatoryField";

        public static string sp_Set_MandatoryFieldWindow = "sp_Set_MandatoryFieldWindow";
        public static string sp_Set_DefaultMandatoryFieldWindow = "sp_Set_DefaultMandatoryFieldWindow";
        #endregion

        public static string sp_EditTransactionForAgency = "sp_EditTransactionForAgency";
        public static string sp_EditTransaction = "sp_EditTransaction";
        public static string sp_ViewARYPadalaList = "sp_ViewARYPadalaList";
        public static string sp_ARYPadalaReport = "sp_ARYPadalaReport";

        public static string sp_TrMaster_Temp_AutoApproveFalse = "sp_TrMaster_Temp_AutoApproveFalse";
        public static string sp_IntegrationUserDetails = "sp_IntegrationUserDetails";
        public static string sp_IntegrationNationalityDetail = "sp_IntegrationNationalityDetail";
        public static string sp_IntegrationEditTransactionDetail = "sp_IntegrationEditTransactionDetail";
        public static string sp_IntegrationCheckTransactionStatus = "sp_IntegrationCheckTransactionStatus";
        public static string sp_IntegrationUpdateStatus = "sp_IntegrationUpdateStatus";
        public static string sp_IntegrationAgentBranchID = "sp_IntegrationAgentBranchID";
        public static string sp_ResponseCode = "sp_ResponseCode";
        public static string sp_TrMaster_Temp_ForAgent = "sp_TrMaster_Temp_ForAgent";


        #region Window Application
        //public static string sp_Set_MandatoryFieldWindow = "sp_Set_MandatoryFieldWindow";
        //public static string sp_Set_DefaultMandatoryFieldWindow = "sp_Set_DefaultMandatoryFieldWindow";
        public static string sp_Get_Unprocessed_Trxn_ForQCB = "FOROff_sp_Get_Unprocessed_Trxn_ForQCB";
        public static string sp_Get_Selected_Trxn_ForQCB = "FOROff_sp_get_Transaction_ForQCB";
        public static string sp_Update_Unprocessed_Selected_Trxn_ForQCB = "FORWin_sp_Update_Unprocessed_Selected_Trxn_ForQCB";

        public static string sp_Get_Unprocessed_Trxn = "FOROff_sp_Get_Unprocessed_Trxn";
        public static string sp_Get_UploadLog = "FOROff_sp_getUploadLog";
        public static string sp_Get_Unprocessed_Selected_Trxn = "FOROff_sp_Get_Unprocessed_Selected_Trxn";
        public static string sp_Get_Selected_Trxn = "FOROff_sp_get_Transaction";
        public static string sp_Update_Unprocessed_Selected_Trxn = "FORWin_sp_Update_Unprocessed_Selected_Trxn";
        public static string sp_Remove_Unprocessed_Selected_Trxn = "FORWin_sp_Remove_Unprocessed_Selected_Trxn";

        public static string sp_Get_AgentWise_CommissionSlabMaster = "FORWin_sp_Get_AgentWise_CommissionSlabMaster";
        public static string FOROFF_sp_Get_AgentWise_CommissionSlabMaster = "FOROFF_sp_Get_AgentWise_CommissionSlabMaster";
        public static string sp_Truncate_AgentWise_CommissionSlabMaster = "ForOffline_sp_Truncate_AgentWise_CommissionSlabMaster";

        public static string sp_Get_Mode_Of_Payment_Master = "FORWin_sp_Get_Mode_Of_Payment_Master";
        public static string sp_Truncate_Mode_Of_Payment_Master = "ForOffline_sp_Truncate_Mode_Of_Payment_Master";

        public static string sp_Get_Currency = "FORWin_sp_Get_Currency";
        public static string sp_Truncate_Currency = "ForOffline_sp_Truncate_Currency";

        public static string sp_Get_Country_Details = "FORWin_sp_Get_Country_Details";
        public static string sp_Truncate_Country_Details = "ForOffline_sp_Truncate_Country_Details";

        public static string sp_Get_NationalityList = "FORWin_sp_Get_NationalityList";

        public static string sp_Get_PartnerDetails = "FORWin_sp_Get_PartnerDetails";

        public static string sp_Get_SourceList = "FORWin_sp_Get_SourceList";

        public static string sp_Get_RTGSList = "FORWin_sp_Get_RTGSList";

        public static string sp_Get_NEFTList = "FORWin_sp_Get_NEFTList";

        public static string sp_Get_Control_Mandatory = "FORWin_sp_Get_Control_Mandatory";

        public static string sp_Get_Control_Mandatory_Details = "FORWin_sp_Get_Control_Mandatory_Details";

        public static string sp_Get_UserList = "FORWin_sp_Get_UserList";

        public static string sp_Get_UserRights = "FORWin_sp_Get_UserRights";

        public static string sp_Get_CommissionSlabMaster = "FORWin_sp_Get_CommissionSlabMaster";
        public static string sp_Truncate_CommissionSlabMaster = "ForOffline_sp_Truncate_CommissionSlabMaster";

        public static string sp_Get_Countrywise_CurrencyDetails = "FORWin_sp_Get_Countrywise_CurrencyDetails";

        public static string sp_Get_CityList = "FORWin_sp_Get_CityList";

        public static string sp_Get_LocationList = "FORWin_sp_Get_LocationList";

        public static string sp_Get_AgentList = "FORWin_sp_Get_AgentList";

        public static string sp_Get_Agentwise_ModeOfPayment = "FORWin_sp_Get_Agentwise_ModeOfPayment";

        public static string sp_Get_Agentwise_CurrencyDetails = "FORWin_sp_Get_Agentwise_CurrencyDetails";

        public static string sp_Get_BranchList = "FORWin_sp_Get_BranchList";

        public static string sp_Get_BranchModeList = "FORWin_sp_Get_BranchModeList";

        public static string sp_Get_BranchCurrencyList = "FORWin_sp_Get_BranchCurrencyList";

        public static string sp_Get_Countrywise_ModeOfPayment = "FORWin_sp_Get_Countrywise_ModeOfPayment";

        public static string sp_Get_Countrywise_PermissionList = "FORWin_sp_Get_Countrywise_PermissionList";

        public static string sp_Truncate_Countrywise_ModeOfPayment = "ForOffline_sp_Truncate_Countrywise_ModeOfPayment";

        public static string sp_Get_PurposeOfTransfer = "FORWin_sp_Get_PurposeOfTransfer";

        public static string sp_Get_CurrecnyUSDWiseExchangeRate = "FORWin_sp_Get_CurrecnyUSDWiseExchangeRate";
        public static string sp_Truncate_CurrecnyUSDWiseExchangeRate = "ForOffline_sp_Truncate_CurrecnyUSDWiseExchangeRate";

        public static string sp_Get_SendingAgent_CurrencyExchangeRate = "FORWin_sp_Get_SendingAgent_CurrencyExchangeRate";
        public static string sp_Truncate_SendingAgent_CurrencyExchangeRate = "ForOffline_sp_Truncate_SendingAgent_CurrencyExchangeRate";

        public static string sp_Get_Bank_CurrencyExchangeRate = "FORWin_sp_Get_Bank_CurrencyExchangeRate";
        public static string sp_Truncate_Bank_CurrencyExchangeRate = "ForOffline_sp_Truncate_Bank_CurrencyExchangeRate";

        public static string sp_Get_BankSendingCountry_CurrencyExchangeRate = "FORWin_sp_Get_BankSendingCountry_CurrencyExchangeRate";
        public static string sp_Truncate_BankSendingCountry_CurrencyExchangeRate = "ForOffline_sp_Truncate_BankSendingCountry_CurrencyExchangeRate";

        public static string sp_Get_BankAgentWise_CurrencyExchangeRate = "FORWin_sp_Get_BankAgentWise_CurrencyExchangeRate";
        public static string sp_Truncate_BankAgentWise_CurrencyExchangeRate = "ForOffline_sp_Truncate_BankAgentWise_CurrencyExchangeRate";

        public static string sp_Get_SendingPercentageCommissionSlab = "FORWin_sp_Get_SendingPercentageCommissionSlab";
        public static string sp_Truncate_SendingPercentageCommissionSlab = "ForOffline_sp_Truncate_SendingPercentageCommissionSlab";

        public static string sp_Get_ReceivingPercentageCommissionSlab = "FORWin_sp_Get_ReceivingPercentageCommissionSlab";
        public static string sp_Truncate_ReceivingPercentageCommissionSlab = "ForOffline_sp_Truncate_ReceivingPercentageCommissionSlab";

        public static string sp_Get_tbl_Exchange_Margin = "FORWin_sp_Get_tbl_Exchange_Margin";
        public static string sp_Get_tbl_SRSendingExchangeMargin = "FORWin_sp_tbl_SRSendingExchangeMargin";
        public static string sp_Get_tbl_SR_Exchange_Margin = "FORWin_sp_tbl_SR_Exchange_Margin";
        public static string sp_Get_tbl_Agent_RateMargin_Variance = "FORWin_sp_tbl_Agent_RateMargin_Variance";
        public static string sp_Get_tbl_SendingAgentMargin = "FORWin_sp_tbl_SendingAgentMargin";

        #endregion

        // For Complaint Mgnt
        public static string sp_ComplaintStatus = "spComplaintStatus";
        public static string sp_ComplaintManagementView = "spComplaintManagementView";
        public static string sp_ComplaintManagement = "spComplaintManagement";
        public static string sp_AddAgentBranch_BalanceCreditLimit = "spAddAgentBranch_BalanceCreditLimit";
        public static string sp_SASubAgentCommSlabCountry = "spSASubAgentCommSlabCountry";
        public static string sp_SASubAgentCommSlabAgentView = "spSASubAgentCommSlabAgentView";
        public static string sp_SASubAgentCommSlabSubAgentView = "spSASubAgentCommSlabSubAgentView";
        public static string sp_EditSubAgentCommSlab = "spEditSubAgentCommSlab";
        public static string SASubAgentCommisionSlab = "spSendingAgentSubAgentCommisionSlab";
        public static string Agent_SendSubAgentExchange_Margin = "Agent_SendSubAgentExchange_Margin";
        public static string SubAgent_Margin = "SubAgent_Margin";
        public static string GetSubAgent_MinMax_Margin = "GetSubAgent_MinMax_Margin";
        public static string sp_AddSubAgentFunding = "spAddSubAgentFunding";

        //For Duplicate transaction
        public static string sp_Transaction_Dup_Status = "sp_Transaction_Dup_Status";

        #region Preferencial commission and Margin
        public static string CIF_Information = "SP_CIF_Information";//"tbl_CIF_Information";

        public static string vw_Filter_AgentWise_PreferentialCommission = "sp_vw_Filter_AgentWise_PreferentialCommission";
        public static string vw_Filter_AgentWise_PreferentialCommission_Agent = "sp_vw_Filter_AgentWise_PreferentialCommission_Agent";
        public static string sp_vw_Filter_AgentWise_PreferentialCommission_ForRece = "sp_vw_Filter_AgentWise_PreferentialCommission_ForRece";
        public static string sp_vw_Filter_AgentWise_PreferentialCommission_Agent_ForRece = "sp_vw_Filter_AgentWise_PreferentialCommission_Agent_ForRece";


        public static string TempView_AgentWise_PreferentialCommissionSlab = "sp_TempView_AgentWise_PreferentialCommissionSlab";
        public static string tbl_AgentWise_PreferentialCommission = "sp_AgentWise_PreferentialCommission";

        public static string TempView_SubAgentWise_PreferentialCommissionSlab = "sp_TempView_SubAgentWise_PreferentialCommissionSlab";
        public static string tbl_SubAgentWise_PreferentialCommission = "sp_SubAgentWise_PreferentialCommission";

        public static string View_SR_Exchange_PreferentialMargin = "sp_View_SR_Exchange_PreferentialMargin";
        public static string sp_vw_SR_Exchange_PreferentialMargin_SCountryList = "sp_vw_SR_Exchange_PreferentialMargin_SCountryList";
        public static string sp_vw_SR_Exchange_PreferentialMargin_RCountryList = "sp_vw_SR_Exchange_PreferentialMargin_RCountryList";
        #endregion

        public static string SP_CustBene_Relationship = "SP_CustBene_Relationship";

        public static string sp_TrMaster_Temp_TimeOut = "sp_TrMaster_Temp_TimeOut"; // need to set name
        public static string SP_TimeoutComplianceData = "SP_TimeoutComplianceData";

        public static string sp_SourceOfIncome = "sp_SourceOfIncome";
        public static string Sp_RemitterOccupation = "Sp_TR_RemitterOccupation";
        #region Promotion Master
        public static string Get_PromotionData = "Get_PromotionData_Modules";
        #endregion
    }

}